Bug 1418047 - [RFE] Add Ability to Provision VMware VMs via Content Library (vCenter 6+)
Summary: [RFE] Add Ability to Provision VMware VMs via Content Library (vCenter 6+)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.12.0
Assignee: Greg McCullough
QA Contact: Kedar Kulkarni
URL:
Whiteboard: vmware:provision
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 17:03 UTC by Dustin Scott
Modified: 2020-01-15 19:36 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-15 19:36:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3653081 None None None 2018-10-15 07:24:46 UTC

Description Dustin Scott 2017-01-31 17:03:21 UTC
-What is the nature and description of the request?
Beginning with vCenter 6.0, VMware implemented the ability to deploy virtual machines via a Content Library, to supplement traditional template provisioning.  The advantage of provisioning via a Content Library, is that templates, ISOs, and OVA files can be shared among multiple vCenter servers, which greatly assists in the ability to maintain templates and avoid duplication of effort.
  
-Why does the customer need this? (List the business requirements here)
Desire to use content library for provisioning in vCenter 6+.
  
-How would the customer like to achieve this? (List the functional requirements here)
Allow additional content library objects to be displayed for selection for provisioning.  The ability to at least provision template (in OVF format) would be desired.  Functionality for ISOs would be more complicated.  This should likely piggyback on the 
  
-For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
Test provisioning from Lifecycle Provisioning dialog to ensure that VM is correctly provisioned via Content Library.
  
-Is there already an existing RFE upstream or in Red Hat Bugzilla?
I have not found one.
  
-Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
No specific timelines.  Plan is to roll out CloudForms across several enclaves over the next few months.  Ideally, this would be available in a future release.
  
-Is the sales team involved in this request and do they have any additional input?
Yes, sales in involved.
  
-List any affected packages or components.
CloudForms 5.6.3.3 (latest for version 4.1)

Comment 16 Adam Grare 2019-09-11 12:58:51 UTC
We are not collecting content library items, https://github.com/ManageIQ/manageiq-providers-vmware/pull/444

Comment 17 Adam Grare 2019-09-11 13:25:15 UTC
We are _now_ collecting these, not _not_

Comment 18 Tina Fitzgerald 2019-09-27 13:22:25 UTC
Hi Greg,

Now that we're collecting content library items, we can proceed with this work.
Can you provide detail as to how/where to start with the required provisioning changes?

Thanks,
Tina


Note You need to log in before you can comment on or make changes to this bug.